%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: 	API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version: 	1.1
Release: 	2
License: 	LGPL
Group:	 	Development/Tools
Source: 	gtk-doc-%{version}.tar.bz2

Patch0:		gtk-doc-1.1-aix.patch
Patch1:		gtk-doc-1.1-autotools.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.gtk.org/rdp
#BuildPrereq: docbook-utils jade libxslt docbook-style-xsl
#Requires: docbook-utils jade libxslt docbook-style-xsl
BuildPrereq: jade
Requires: jade

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gtk-doc-1.1-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gtk-doc-1.1-autotools.patch


%build
./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

cd %{buildroot}
for dir in bin
do
	mkdir -p usr/$dir
	cd usr/$dir
	ln -sf ../..%{_prefix}/$dir/* .
	cd -
done

%files
%defattr(-, root, system)
%doc AUTHORS README COPYING doc/* examples
%{_bindir}/*
%{_datadir}/gtk-doc/
%{_datadir}/aclocal/gtk-doc.m4
%{_libdir}/pkgconfig/gtk-doc.pc
/usr/bin/*
